Loading...
Searching...
No Matches
VpbException Class Reference
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling

VPB api runtime exception type. More...

`#include <vpbapi.h>`

Inheritance diagram for VpbException:
Collaboration diagram for VpbException:

## Public Member Functions

| VpbException (const char *format,...) __attribute__((format(printf
| Construct an exception object with a `printf` format message string.
| ~VpbException () throw ()
| Destructor.
Error summary
const char * | what () const throw ()
| Return the message associated with the exception.

## Detailed Description

VPB api runtime exception type.